import { z } from "zod";

export const AmqGroupSchema = z.object({
	songGroupId: z.int().positive(),
	name: z.string(),
	artistMembers: z.array(z.int().positive()),
	groupMembers: z.array(z.int().positive()),
	altNames: z.array(
		z.object({
			songGroupId: z.int().positive(),
			name: z.string(),
		}),
	),
});
